/*
 *	   b s s a r e a_ c
 *
 *	This file is part of the LIBRLL library.
 *	It is a support routine that tries to
 *	read in the BSS area header.
 *
 * (c) Copyright 1999 David J. Walker
 *	   Email:  dave.walker@icl.com
 *
 *	   Permission to copy and/or distribute is granted under the
 *	   following conditions:
 *
 *	   1). This notice must remain intact.
 *	   2). The author is not responsible for the consequences of use
 *		   this software, no matter how awful, even if they arise
 *		   from defects in it.
 *	   3). Altered versions must not be represented as being the
 *		   original software.
 */

#include "librll.h"


int 	_RLL_BssArea (RLL_FILE * rp, long pos)
{
	(void) lseek (rp->fd, pos, SEEK_SET);
	if (sizeof(BSS_HEADER) != read (rp->fd, rp->bss_header, sizeof (BSS_HEADER)))
	{
		return RLL_ERROR_READ;
	}
	return RLL_ERROR_NONE;
}
